### Function

# GLib TimeZone new

deprecated: 2.68 since: 2.26

#### Declaration [src]

    GTimeZone*
    g_time_zone_new (
      const gchar* identifier
    )

#### Description [src]

A version of `g_time_zone_new_identifier()` which returns the UTC time zone if `identifier` could not be parsed or loaded.

If you need to check whether `identifier` was loaded successfully, use g_time_zone_new_identifier().

Available since: 2.26

Deprecated since: 2.68

Use `g_time_zone_new_identifier()` instead, as it provides error reporting. Change your code to handle a potentially `NULL` return value.

#### Parameters

`identifier`

  Type: `const gchar*`

  A timezone identifier.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GTimeZone`

The requested timezone.

The caller of the function takes ownership of the data, and is responsible for freeing it.